## qtpim-opensource-src 5.0~git20130828

=== debian/changelog ===
qtpim-opensource-src (5.0~git20130828-0ubuntu3) saucy; urgency=low

  [ Timo Jyrinki ]
  * debian/patches/0001-Fixed-removePreferredDetail-locks-due-a-infinite-loo.patch
    - Cherry-pick a fix from upstream (LP: #1226445)
  * debian/patches/0001-Update-QDeclarativeContact-contactId-field-after-cre.patch
    - Cherry-pick a fix from upstream (LP: #1226444)

  [ Loïc Minier ]
  * Upload to saucy after testing in ~ubuntu-unity/daily-build PPA.

 -- Loïc Minier <loic.minier@ubuntu.com>  Thu, 19 Sep 2013 10:45:36 +0200

qtpim-opensource-src (5.0~git20130828-0ubuntu2) saucy; urgency=low

  * debian/rules:
    - Build and run tests
  * debian/control:
    - Build-Depend on dbus and xvfb for tests
  * debian/patches/disable_failing_tests.patch:
    - Disable four currently failing tests

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 16 Sep 2013 13:04:38 +0300

qtpim-opensource-src (5.0~git20130828-0ubuntu1) saucy; urgency=low

  * New upstream snapshot release
  * debian/patches/added-support-to-preferreddetails-on-qml-contact.patch:
    - Drop, merged upstream

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 29 Aug 2013 12:26:09 +0300

qtpim-opensource-src (5.0~git20130723-0ubuntu1) saucy; urgency=low

  * New upstream snapshot release
    - Fixes QTBUG-32142, QTBUG-32324 and QTBUG-32561
  * debian/patches/added-support-to-preferreddetails-on-qml-contact.patch:
    - Added support to preferredDetails on QML Contact.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 25 Jul 2013 18:41:12 -0300

qtpim-opensource-src (5.0~git20130701-0ubuntu1) saucy; urgency=low

  * New upstream snapshot release.
    - Fixes QML plugins (LP: #1188180)
  * Priority: extra for qtpim5-dbg
  * debian/patches/add_license_files.patch:
    - Drop, merged upstream.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 05 Jun 2013 15:45:28 +0300

qtpim-opensource-src (5.0~git20130502-0ubuntu1) saucy; urgency=low

  * Initial release
  * debian/patches/revert_module_version.patch:
    - Set upstream version number to 5.0.0 instead of 0.0.0 for now, 
      causes a crash in supportedImplementationVersions(); (LP: #1178620)
  * debian/patches/add_license_files.patch:
    - Include license files not yet in upstream (submitted for inclusion)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 10 May 2013 14:15:23 +0300
