## qtpim-opensource-src 5.0~git20140203~e0c5eebe

=== debian/changelog ===
qtpim-opensource-src (5.0~git20140203~e0c5eebe-0ubuntu2) trusty; urgency=medium

  * Cherry-pick from upstream:
    - Delete-declarative-contact-after-remove-it-from-the-.patch
      (LP: #1291989)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 14 Mar 2014 08:39:24 +0000

qtpim-opensource-src (5.0~git20140203~e0c5eebe-0ubuntu1) trusty; urgency=medium

  * New upstream git snapshot
  * Update disable_failing_tests.patch with more failing tests
  * Build dep on qtquick2 and test plugins to enable QML plugins
  * Drop the two patches included in upstream
  * Cherry-pick Set-the-contact-detail-parent-to-avoid-memory-leak.patch
  * Use 'mkdir .git' to trigger header build for the snapshot release
  * Bump dependencies to Qt 5.2.1
  * Drop private headers like Debian

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 28 Feb 2014 11:04:37 +0000
