=== debian/control ===
--- 
+++ 
@@ -6,8 +6,10 @@
                debhelper (>= 9),
                pkg-kde-tools,
                qt5-default,
-               qtbase5-private-dev,
-               qtdeclarative5-private-dev,
+               qtbase5-private-dev (>= 5.2.1~),
+               qtdeclarative5-private-dev (>= 5.2.1~),
+               qtdeclarative5-qtquick2-plugin (>= 5.2.1~),
+               qtdeclarative5-test-plugin (>= 5.2.1~),
                xvfb,
 Standards-Version: 3.9.4
 Homepage: http://qt-project.org/
@@ -123,27 +125,6 @@
  snapshot of an ongoing development. The package is very likely to
  change in a binary incompatible way, and no guarantees are given.
 
-Package: qtpim5-private-dev
-Section: libdevel
-Architecture: any
-Depends: libqt5contacts5 (= ${binary:Version}),
-         libqt5organizer5 (= ${binary:Version}),
-         libqt5versit5 (= ${binary:Version}),
-         libqt5versitorganizer5 (= ${binary:Version}),
-         ${misc:Depends}
-Description: Qt 5 PIM private development files
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the private header development files for building some
- Qt 5 applications using PIM private headers.
- .
- Use at your own risk.
- .
- WARNING: This module is not an official part of Qt 5, but instead a git
- snapshot of an ongoing development. The package is very likely to
- change in a binary incompatible way, and no guarantees are given.
-
 Package: qtpim5-dbg
 Priority: extra
 Section: debug
