## qtpim-opensource-src 5.0~git20140515~29475884

=== debian/changelog ===
qtpim-opensource-src (5.0~git20140515~29475884-0ubuntu4) utopic; urgency=medium

  [ Renato Araujo Oliveira Filho ]
  * Fixed declarative contact model crash.

  [ Dmitry Shachnev ]
  * Update disable_failing_tests.patch to not patch one file twice.
  * Use correct exception syntax in debian/copyright.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Drop dh_builddeb override, no longer needed.
  * Use dh_auto_test instead of make check in debian/rules.

 -- Renato Araujo Oliveira Filho <renato@canonical.com>  Wed, 24 Sep 2014 14:13:01 -0300

qtpim-opensource-src (5.0~git20140515~29475884-0ubuntu3) utopic; urgency=medium

  * Rename the QML modules to qml-module-xxx format and add transitional 
    packages. (LP: #1342031) 

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 17 Jul 2014 11:15:48 +0000

qtpim-opensource-src (5.0~git20140515~29475884-0ubuntu2) utopic; urgency=medium

  * Build against Qt 5.3
  * Move includes, fix private cleaning accordingly

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 13 Jun 2014 08:11:07 +0000

qtpim-opensource-src (5.0~git20140515~29475884-0ubuntu1) utopic; urgency=medium

  * New upstream snapshot with several upstreamed fixes from renato
    - Remove also the following merged patches:
      Set-the-contact-detail-parent-to-avoid-memory-leak.patch
      Delete-declarative-contact-after-remove-it-from-the-.patch
    - A handful more of now failing upstream tests disabled

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 15 May 2014 09:27:46 +0000

qtpim-opensource-src (5.0~git20140203~e0c5eebe-0ubuntu3) utopic; urgency=medium

  * No-change rebuild for shlib changes in qtbase and qtdeclarative.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 29 Apr 2014 00:39:29 -0700
