=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
                debhelper (>= 9),
                pkg-kde-tools,
                qt5-default,
-               qtbase5-private-dev (>= 5.2.1~),
-               qtdeclarative5-private-dev (>= 5.2.1~),
-               qtdeclarative5-qtquick2-plugin (>= 5.2.1~),
-               qtdeclarative5-test-plugin (>= 5.2.1~),
+               qtbase5-private-dev (>= 5.3.0~),
+               qtdeclarative5-private-dev (>= 5.3.0~),
+               qtdeclarative5-qtquick2-plugin (>= 5.3.0~),
+               qtdeclarative5-test-plugin (>= 5.3.0~),
                xvfb,
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://qt-project.org/
 Vcs-Bzr: lp:~kubuntu-packagers/kubuntu-packaging/qtpim-opensource-src
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtpim-opensource-src
@@ -19,8 +19,9 @@
 Package: libqt5contacts5
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: Qt PIM module, Contacts library
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -34,13 +35,30 @@
 Package: qtdeclarative5-qtcontacts-plugin
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: libqt5contacts5, ${misc:Depends}, ${shlibs:Depends}
-Description: Qt PIM module, Contacts library QML plugin
+Section: oldlibs
+Depends: qml-module-qtcontacts,
+         ${misc:Depends},
+Description: transitional dummy package for Qt 5 Contacts QML Module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
- This package contains the Qt Contacts QML plugin for Qt Declarative.
+ This is a transitional dummy package for qml-module-qtcontacts
+ which can be safely removed.
+
+Package: qml-module-qtcontacts
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends},
+Depends: libqt5contacts5,
+         ${misc:Depends},
+         ${shlibs:Depends},
+Breaks: qtdeclarative5-qtcontacts-plugin (<< 5.0~git20140515~29475884-0ubuntu3~),
+Replaces: qtdeclarative5-qtcontacts-plugin (<< 5.0~git20140515~29475884-0ubuntu3~),
+Description: Qt 5 Contacts QML module
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the Qt Contacts QML module for Qt Declarative.
  .
  WARNING: This module is not an official part of Qt 5, but instead a git
  snapshot of an ongoing development. The package is very likely to
@@ -49,8 +67,9 @@
 Package: libqt5organizer5
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: Qt PIM module, Organizer library
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -64,13 +83,30 @@
 Package: qtdeclarative5-qtorganizer-plugin
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: libqt5organizer5, ${misc:Depends}, ${shlibs:Depends}
-Description: Qt PIM module, Organizer library QML plugin
+Section: oldlibs
+Depends: qml-module-qtorganizer,
+         ${misc:Depends},
+Description: transitional dummy package for Qt 5 Organizer QML Module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
- This package contains the Qt Organizer QML plugin for Qt Declarative.
+ This is a transitional dummy package for qml-module-qtorganizer
+ which can be safely removed.
+
+Package: qml-module-qtorganizer
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends},
+Depends: libqt5organizer5,
+         ${misc:Depends},
+         ${shlibs:Depends},
+Breaks: qtdeclarative5-qtorganizer-plugin (<< 5.0~git20140515~29475884-0ubuntu3~),
+Replaces: qtdeclarative5-qtorganizer-plugin (<< 5.0~git20140515~29475884-0ubuntu3~),
+Description: Qt 5 Organizer QML module
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the Qt Organizer QML module for Qt Declarative.
  .
  WARNING: This module is not an official part of Qt 5, but instead a git
  snapshot of an ongoing development. The package is very likely to
@@ -79,8 +115,9 @@
 Package: libqt5versit5
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: Qt PIM module, Versit library
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -94,8 +131,9 @@
 Package: libqt5versitorganizer5
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: Qt PIM module, Versit Organizer library
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -113,7 +151,7 @@
          libqt5organizer5 (= ${binary:Version}),
          libqt5versit5 (= ${binary:Version}),
          libqt5versitorganizer5 (= ${binary:Version}),
-         ${misc:Depends}
+         ${misc:Depends},
 Description: Qt 5 PIM development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -133,7 +171,7 @@
          libqt5organizer5 (= ${binary:Version}),
          libqt5versit5 (= ${binary:Version}),
          libqt5versitorganizer5 (= ${binary:Version}),
-         ${misc:Depends}
+         ${misc:Depends},
 Description: Qt PIM library debugging symbols
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
