=== debian/rules ===
--- 
+++ 
@@ -25,10 +25,10 @@
 	dh_auto_install
 	
 	# Remove private stuff
-	rm -rfv debian/tmp/usr/include/qt5/QtContacts/*/QtContacts/private/
-	rm -rfv debian/tmp/usr/include/qt5/QtOrganizer/*/QtOrganizer/private/
-	rm -rfv debian/tmp/usr/include/qt5/QtVersit/*/QtVersit/private/
-	rm -rfv debian/tmp/usr/include/qt5/QtVersitOrganizer/*/QtVersitOrganizer/private/
+	rm -rfv debian/tmp/usr/include/*/qt5/QtContacts/*/QtContacts/private/
+	rm -rfv debian/tmp/usr/include/*/qt5/QtOrganizer/*/QtOrganizer/private/
+	rm -rfv debian/tmp/usr/include/*/qt5/QtVersit/*/QtVersit/private/
+	rm -rfv debian/tmp/usr/include/*/qt5/QtVersitOrganizer/*/QtVersitOrganizer/private/
 	rm -fv $(CURDIR)/debian/tmp/usr/lib/*/qt5/mkspecs/modules/qt_lib_*_private.pri
 	
 	# Remove libtool-like files
@@ -37,8 +37,4 @@
 	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/plugins/organizer/libqtorganizer_skeleton.so
 
 override_dh_auto_test:
-	xvfb-run -a make check QT_PLUGIN_PATH=$(CURDIR)/plugins LD_LIBRARY_PATH=$(CURDIR)/lib
-
-override_dh_builddeb:
-	dh_builddeb -- -Zxz
-
+	xvfb-run -a dh_auto_test -- QT_PLUGIN_PATH=$(CURDIR)/plugins LD_LIBRARY_PATH=$(CURDIR)/lib
