## qtpim-opensource-src 5.0~git20190618.8fec622c+dfsg1

=== debian/changelog ===
qtpim-opensource-src (5.0~git20190618.8fec622c+dfsg1-10build1) jammy; urgency=medium

  * No-change rebuild against Qt 5.15.3.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 28 Mar 2022 12:16:16 +0300

qtpim-opensource-src (5.0~git20190618.8fec622c+dfsg1-10) unstable; urgency=medium

  * debian/qtpim5-doc*.install:
    + Typo fix in mips64el architecture.
    + Add powerpc arch, it also has qt5-qtdoc.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 03 Jan 2022 21:04:35 +0100

qtpim-opensource-src (5.0~git20190618.8fec622c+dfsg1-9) unstable; urgency=medium

  * debian/copyright:
    + Drop trailing slash from Files-Excluded: pattern.
  * debian/{control,rules,qtpim5-doc*.install}:
    + Don't build and install API doc files with qtdoc if the architecture does
      not ship qt5-qtdoc. Use dhexec to adjust qtpim5-doc*.install files.
      (Closes: #1002970).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 03 Jan 2022 07:51:16 +0100

qtpim-opensource-src (5.0~git20190618.8fec622c+dfsg1-8) unstable; urgency=medium

  * Team upload.
  * Amend the patch to fix tests on big endian.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 31 Oct 2020 21:06:57 +0300

qtpim-opensource-src (5.0~git20190618.8fec622c+dfsg1-7) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/copyright: Use CGit URL in Source: field.

  [ Dmitry Shachnev ]
  * Add a patch to make the QVersitContactImporter tests pass with Qt 5.15
    (closes: #973436).
  * Add a patch to make the QContactFilter test pass on big endian systems.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 31 Oct 2020 17:43:06 +0300

qtpim-opensource-src (5.0~git20190618.8fec622c+dfsg1-6) unstable; urgency=medium

  * debian/rules:
    + Fix for removal of contacts.pro file.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 07 Sep 2020 21:05:08 +0200

qtpim-opensource-src (5.0~git20190618.8fec622c+dfsg1-5) unstable; urgency=medium

  * debian/rules:
    + Drop unneeded .pro file that happens to appear on some non-amd64
      architecture builds. Resolves FTBFS on some architectures.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 07 Sep 2020 20:29:53 +0200

qtpim-opensource-src (5.0~git20190618.8fec622c+dfsg1-4) unstable; urgency=medium

  * debian/control:
    + Move B-D-I packages to B-D. Fixes arch:any-only builds (as we now do the
      doc builds explicitly then, too).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 07 Sep 2020 16:59:10 +0200

qtpim-opensource-src (5.0~git20190618.8fec622c+dfsg1-3) unstable; urgency=medium

  * debian/rules:
    + Explicitly build the docs during dh_auto_build. (Fixes arch:any builds).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 07 Sep 2020 14:44:38 +0200

qtpim-opensource-src (5.0~git20190618.8fec622c+dfsg1-2) unstable; urgency=medium

  * debian/*.symbols:
    + Update symbols (for Qt 5.14 and others).
  * debian/rules:
    + Fix varying timestamps of on-the-fly created header files during orig
      tarball creation.
  * debian/patches:
    + Add 1001_fix-qtdatetime-null-comparison.patch. Partially reverts upstream
      commit 55287ea79625092ca7638fdb028a9c1f03ffd7ca. Required for Qt 5.14
      builds, was not required with Qt 5.12. (Closes: #969316).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 07 Sep 2020 12:22:13 +0200

qtpim-opensource-src (5.0~git20190618.8fec622c+dfsg1-1) unstable; urgency=medium

  * Initial release to Debian (Closes: #955124).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 30 Mar 2020 17:08:23 +0200
