=== debian/control ===
--- 
+++ 
@@ -1,20 +1,28 @@
 Source: qtpim-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Debian UBports Team <team+ubports@tracker.debian.org>,
+           Timo Jyrinki <timo@debian.org>,
+           Mike Gabriel <sunweaver@debian.org>,
 Build-Depends: dbus,
-               debhelper (>= 9),
+               debhelper-compat (= 12),
+               dh-exec,
                pkg-kde-tools,
-               qt5-default,
-               qtbase5-private-dev (>= 5.3.0~),
-               qtdeclarative5-private-dev (>= 5.3.0~),
-               qtdeclarative5-qtquick2-plugin (>= 5.3.0~),
-               qtdeclarative5-test-plugin (>= 5.3.0~),
+               qml-module-qtquick2 (>= 5.5.0~),
+               qml-module-qttest (>= 5.5.0~),
+               qtbase5-doc-html (>= 5.5.0~),
+               qtdeclarative5-doc-html (>= 5.5.0~),
+               qtbase5-private-dev (>= 5.5.0~),
+               qtdeclarative5-private-dev (>= 5.5.0~),
+               qttools5-dev-tools (>= 5.5.0~),
+               xauth,
                xvfb,
-Standards-Version: 3.9.5
-Homepage: http://qt-project.org/
-Vcs-Bzr: lp:~kubuntu-packagers/kubuntu-packaging/qtpim-opensource-src
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtpim-opensource-src
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://www.qt.io/developers
+Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtpim.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtpim/
 
 Package: libqt5contacts5
 Architecture: any
@@ -31,19 +39,6 @@
  WARNING: This module is not an official part of Qt 5, but instead a git
  snapshot of an ongoing development. The package is very likely to
  change in a binary incompatible way, and no guarantees are given.
-
-Package: qtdeclarative5-qtcontacts-plugin
-Architecture: any
-Multi-Arch: same
-Section: oldlibs
-Depends: qml-module-qtcontacts,
-         ${misc:Depends},
-Description: transitional dummy package for Qt 5 Contacts QML Module
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This is a transitional dummy package for qml-module-qtcontacts
- which can be safely removed.
 
 Package: qml-module-qtcontacts
 Architecture: any
@@ -79,19 +74,6 @@
  WARNING: This module is not an official part of Qt 5, but instead a git
  snapshot of an ongoing development. The package is very likely to
  change in a binary incompatible way, and no guarantees are given.
-
-Package: qtdeclarative5-qtorganizer-plugin
-Architecture: any
-Multi-Arch: same
-Section: oldlibs
-Depends: qml-module-qtorganizer,
-         ${misc:Depends},
-Description: transitional dummy package for Qt 5 Organizer QML Module
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This is a transitional dummy package for qml-module-qtorganizer
- which can be safely removed.
 
 Package: qml-module-qtorganizer
 Architecture: any
@@ -163,18 +145,48 @@
  snapshot of an ongoing development. The package is very likely to
  change in a binary incompatible way, and no guarantees are given.
 
-Package: qtpim5-dbg
-Priority: extra
-Section: debug
-Architecture: any
-Depends: libqt5contacts5 (= ${binary:Version}),
-         libqt5organizer5 (= ${binary:Version}),
-         libqt5versit5 (= ${binary:Version}),
-         libqt5versitorganizer5 (= ${binary:Version}),
-         ${misc:Depends},
-Description: Qt PIM library debugging symbols
+Package: qtpim5-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Description: Qt 5 PIM documentation
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
- This package contains the debugging symbols for the Qt 5 PIM
- libraries.
+ This package contains the documentation for the Qt 5 PIM
+ module, including Contacts, Organizer and Versit.
+ .
+ WARNING: This module is not an official part of Qt 5, but instead a git
+ snapshot of an ongoing development. The package is very likely to
+ change in a binary incompatible way, and no guarantees are given.
+
+Package: qtpim5-doc-html
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Description: Qt 5 PIM HTML documentation
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the HTML documentation for the Qt 5 PIM
+ module, including Contacts, Organizer and Versit.
+ .
+ WARNING: This module is not an official part of Qt 5, but instead a git
+ snapshot of an ongoing development. The package is very likely to
+ change in a binary incompatible way, and no guarantees are given.
+
+Package: qtpim5-examples
+Architecture: any
+Section: libdevel
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Description: Qt 5 PIM HTML examples
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the examples for Qt 5 PIM.
+ .
+ WARNING: This module is not an official part of Qt 5, but instead a git
+ snapshot of an ongoing development. The package is very likely to
+ change in a binary incompatible way, and no guarantees are given.
