=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,10 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	make docs
+	# only build doc files for architectures that have qt5-qtdoc
+	if [ -e /usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/qdoc ]; then \
+	    make docs; \
+	fi
 
 override_dh_missing:
 	dh_missing --fail-missing
@@ -36,8 +39,12 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs
-	
+
+	# only install doc files for architectures that have qt5-qtdoc
+	if [ -e /usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/qdoc ]; then \
+	    $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs; \
+	fi
+
 	# Remove private stuff
 	rm -rfv debian/tmp/usr/include/*/qt5/QtContacts/*/QtContacts/private/
 	rm -rfv debian/tmp/usr/include/*/qt5/QtOrganizer/*/QtOrganizer/private/
