=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg1//,repacksuffix=+dfsg1 \
https://download.qt.io/official_releases/qt/([\d\.]*)/([\d\.]*)/submodules/qtpim-everywhere-src-([^-]*)\.tar\.xz
