## qtpim-opensource-src 5.0~git20201102.f9a8f0fc%2Bdfsg1

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none,  pretty=5.0~git%cd.%h, dversionmangle=s/\+dfsg1//g" \
https://invent.kde.org/qt/qt/qtpim.git heads/kde/5.15 debian uupdate
